o3
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
OpenAI's o3 model is its advanced reasoning AI released on April 16, 2025, excelling in complex tasks across coding, mathematics, science, and visual analysis. Unlike its predecessor o3-mini, o3 integrates visual inputs—such as images and charts—into its reasoning process, enabling it to interpret and manipulate visual data as part of problem-solving. It also leverages the full suite of ChatGPT tools, including web browsing, Python execution, and file analysis. This makes o3 ideal for users tackling multifaceted challenges that require deep, multimodal reasoning and precise analysis.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| o3 | May 2024 | Text, Image, Pdf | Text | 200,000 | $2.00/1M input $8.00/1M output |
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "o3",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="o3", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "o3",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
References
- OpenAI
https://openai.com/- LLM Stats
https://llm-stats.com- Artificial Analysis
https://artificialanalysis.ai